/**
 * XParticipationEntVrf2.java
 *
 * File generated from the medication2::XParticipationEntVrf2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration XParticipationEntVrf2.
 *
 * 
 */

@XmlType(name = "XParticipationEntVrf")
@XmlEnum
@XmlRootElement(name = "XParticipationEntVrf2")
public enum XParticipationEntVrf2 {
	@XmlEnumValue("VRF")
	VRF("VRF"),
	@XmlEnumValue("ENT")
	ENT("ENT");
	
	private final String value;

    XParticipationEntVrf2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static XParticipationEntVrf2 fromValue(String v) {
        for (XParticipationEntVrf2 c: XParticipationEntVrf2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
